Slow performance and tiling issues on i915

Bug #349314 reported by Eric Appleman on 2009-03-27
502
This bug affects 46 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
Low
Andy Whitcroft
Jaunty
Low
Andy Whitcroft

Bug Description

This problem is particularly noticeable with the Ubuntu Netbook Remix launcher, on systems such as the eeePC 900.

http://lists.freedesktop.org/archives/intel-gfx/2009-January/001187.html

===

SRU Justification Jaunty

Impact: Video performance of affected systems is very poor, watching video is not possible

Fix Description: detect and enable previously disabled tiling support IFF not already enabled by the BIOS

Patch:
    http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commit;h=de385c9db845645e6cc40a5355b6779e044d6afb
    http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commit;h=3533af638b8e149568fd3d6cdbbb4a384674f170

Risks: MCHBAR is disabled for good reason on some unknown platform, given this is a chipset level feature this is very unlikely

TEST CASE: see bug

Eric Appleman (erappleman) wrote :
description: updated
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

As this is a performance not a crashing issue, marking it low priority.

Changed in linux:
status: Fix Committed → In Progress
importance: Undecided → Low
Andy Whitcroft (apw) wrote :

@Starks -- i have built some test kernels with this patch applied for you to test. Could you try these out and let me know if they show any problems, and the subjective performance thereof. Please report back here. Kernels are at the URL below:

    http://people.ubuntu.com/~apw/lp349314-jaunty/

Changed in linux:
status: In Progress → Incomplete
Neil J. Patel (njpatel) wrote :

This also affects UNR Jaunty, as the launcher is based on GL. The performance is really bad on the eeePC (where it was very good in Intrepid).

Loïc Minier (lool) on 2009-03-27
Changed in linux:
milestone: none → ubuntu-9.04
Eric Appleman (erappleman) wrote :

I had rolled my own kernel last night with the patch applied and didn't notice any improvement until I disabled tiling.

Hopefully Andy's kernel will fare better so that I don't need to disable tiling.

Eric Appleman (erappleman) wrote :

No go.

[ 2.393704] (EE) intel(0): Failed to set tiling on front buffer: rejected by kernel

Loïc Minier (lool) wrote :

The proposed kernel .deb work great for me on EeePC 701SD and solve the slowness! Thanks

Changed in linux:
status: Incomplete → Triaged
Eric Appleman (erappleman) wrote :

I'm running a Dell Inspiron 640m.

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)

No improvement unless tiling is disabled.

Eric Appleman (erappleman) wrote :

[ 2.393704] (EE) intel(0): Failed to set tiling on front buffer: rejected by kernel

Tiling is still erroring in the logs, but the performance is back to normal, even without the patched kernel.

Did something change in the PPA intel driver?

Eric Appleman (erappleman) wrote :

*somewhat back to normal, but still less than Intrepid

Eric Appleman (erappleman) wrote :

Once again, I need to correct myself. The performance gains were from UXA being enabled.

Andy Whitcroft (apw) wrote :

@Loic -- it seems others are not seeing tiling turned on. Could you attach an Xorg.0.log so we can confirm you are getting tiling. Also can you confirm your exact intel chipset you have (may be in the same log.

Changed in linux:
status: Triaged → In Progress
Tim Gardner (timg-tpi) on 2009-03-30
Changed in linux (Ubuntu Jaunty):
assignee: nobody → apw
Robbie Williamson (robbiew) wrote :

I can confirm that Andy's kernel worked for me on my eeePC 900.

Loïc Minier (lool) wrote :

Tiling is enabled, no error in Xorg.log

lspci reports this adapter:
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)

Robbie Williamson (robbiew) wrote :

lspci for my eeePC 900 shows the same:
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)

Andy's debs [ http://people.ubuntu.com/~apw/lp349314-jaunty/ ] do the trick on my eeepc also but I still think there is value in the option to disable animations and mouseover effects

Chris Quach (quach-c) wrote :

Have the same error in Xorg.0.log, but I have a Intel 945GM.. I'm using the Jaunty beta and applied all updates which came through the update-manager but still very slow desktop effects... Do you think the patched kernel will help on my system?

Timo Aaltonen (tjaalton) wrote :

from the compiz gconf configuration:

    sync_to_vblank = true

disable that and try again. The default is false.

Timo Aaltonen (tjaalton) wrote :

duh, I commented on the wrong bug, sorry for the noise :)

Nafallo Bjälevik (nafallo) wrote :

This kernel is total win on my EeePC 701 running UNR. It makes things usable again. I here by give my blessings.

Sean Sosik-Hamor (sciri) wrote :

I tried Andy's 2.6.28-11.38lp349314apw1 kernel on my Mac mini Core Duo with Intel GMA950 on mdz's recommendation after following Bug #339555 and Bug #353245 but have inconclusive results.

After my initial Intrepid to Jaunty upgrade video performance was basically unusable even with all Visual Effects disabled. Just moving windows around the screen resulted in choppy refresh, and switching workspaces took 2-3 seconds for all the windows to redraw.

I eventually tested using a Jaunty Desktop Beta i386 LiveCD and performance was normal; video was just as fast, crisp, and smooth as I was used to with Intrepid.

I then reboot back to the internal disk and video performance was mysteriously better. Still not on par with Intrepid but usable. No configuration changes or package upgrades were made.

A dist-upgrade was done to pick up the latest packages but still no additional improvement.

I then installed Andy's 2.6.28-11.38lp349314apw1 kernel and performance seems better compared to my original unusable Intrepid to Jaunty upgrade, but performance doesn't come close to my test on the Jaunty Desktop Beta i386 LiveCD.

Hence, my inconclusive results.

My unscientific test is simple...create 4 workspaces (2 rows, 2 columns), open a Firefox window on each workspace, then rapidly switch between workspaces with Ctrl-Alt-Arrow. On Intrepid and the Jaunty Desktop Beta i386 LiveCD switching workspaces is smooth and fluid. On my upgraded Jaunty install it sometimes takes 2-3 seconds to switch workspaces as the windows choppily animate across the screen.

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

(II) intel(0): Attempting memory allocation with tiled buffers.
(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on back buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on depth buffer: rejected by kernel
(II) intel(0): Tiled allocation successful.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.28-11.40

---------------
linux (2.6.28-11.40) jaunty; urgency=low

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Jaunty
    - LP: #354221

  [ Andy Whitcroft ]

  * SAUCE: md: wait for possible pending deletes after stopping an array
    - LP: #334994

  [ Brad Figg ]

  * ARM: Setting the bootloader for imx51 flavour.
    - LP: #348382
  * ARM: Add bootloader package Recomendation to iop32x and ixp4xx flavours
    - LP: #348382

  [ Tim Gardner ]

  * SAUCE: [i915] allocate MCHBAR space & enable if necessary
    - LP: #349314

  [ Upstream Kernel Changes ]

  * hpilo: open/close fix
    - LP: #353496

 -- Amit Kucheria <email address hidden> Thu, 02 Apr 2009 11:26:22 -0400

Changed in linux (Ubuntu Jaunty):
status: In Progress → Fix Released
Leo Milano (lmilano) wrote :

Has this new kernel already been uploaded? I would like to test the nightly UNR image to see it the jerky display bug is fixed in the eeepc 701. Thanks

Leo Milano (lmilano) wrote :

FIXED!. The newest UNR image works smoothly on my EEE PC 701. Thanks for the fantastic work! Has this been fixed in the kernel upstream?

Robbie Williamson (robbiew) wrote :

I also confirm the -40 kernel fixes this on my Eee PC 900.

Papamatti (matti-lx) wrote :

I confirm the 40 kernel fixes the error on my eeePC 701 4G. Have now smooth animations wirh the netbook-launcher!
Great, thanks!

Matt Zimmerman (mdz) wrote :

According to the kernel changelog, this patch has been reverted:

linux (2.6.28-11.41) jaunty; urgency=low
[...]
  * Revert "SAUCE: [i915] allocate MCHBAR space & enable if necessary"
    Appears to cause hard locks in some cases.
    - LP: #349314

Changed in linux (Ubuntu Jaunty):
status: Fix Released → Triaged

Looks like I need to pin to #40 as #41 is useless here! this has
regressed to what it was like prior to this current patch :(

On Wed, 2009-04-08 at 13:05 +0000, Matt Zimmerman wrote:

> According to the kernel changelog, this patch has been reverted:
>
> linux (2.6.28-11.41) jaunty; urgency=low
> [...]
> * Revert "SAUCE: [i915] allocate MCHBAR space & enable if necessary"
> Appears to cause hard locks in some cases.
> - LP: #349314
>
>
> ** Changed in: linux (Ubuntu Jaunty)
> Status: Fix Released => Triaged
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

I hope this was not reverted for bug 356951, as the reporter was on #38 when he saw the problem.

Cesar Eduardo Barros (cesarb) wrote :

No, I think it was reverted because of http://bugs.freedesktop.org/show_bug.cgi?id=20520 (mentioned on http://bugzilla.kernel.org/show_bug.cgi?id=12950, which is linked to by this bug).

For me it was also a performance regression, so I also reverted to .40 and put a hold on the package.

Jason Anton (rev-jt-anton) wrote :

The .41 was a regression on my 900 as well. The .40 worked so well! Now I can't find it!...argh!

On Thu, Apr 09, 2009 at 03:09:45PM -0000, Jason Anton wrote:
> The .41 was a regression on my 900 as well. The .40 worked so well!
> Now I can't find it!...argh!

https://edge.launchpad.net/ubuntu/+source/linux/2.6.28-11.40 (scroll down to
the list of builds and select i386 or amd64).

--
 - mdz

Back to the darkness, the .41 kernel breaks my 701 and the netbook-launcher is useless for me again. This is a showstopper for the jaunty netbook remix release. Looking forward for a fix soon...

Paul Larson (pwlars) wrote :

Based on comment 29 in http://bugs.freedesktop.org/show_bug.cgi?id=20520, it looks like the problems seen were probably unrelated to this patch.

Andy Whitcroft (apw) wrote :

Backing out that patch definitivly fixed the affected users. It is suspected that there is a general tiling bug which is tripped by enabling this on those platforms. The patch in question has since been recinded and replaced by a different interim patch and work is still continuing to solve the underling gem issues.

On Thu, Apr 09, 2009 at 10:47:58PM -0000, Andy Whitcroft wrote:
> Backing out that patch definitivly fixed the affected users. It is
> suspected that there is a general tiling bug which is tripped by
> enabling this on those platforms. The patch in question has since been
> recinded and replaced by a different interim patch and work is still
> continuing to solve the underling gem issues.

What is the bug number for the regression caused by this patch?

--
 - mdz

.40 did not resolve the problem for my Intel Mac Mini.

In dmesg, I read the following when starting X.
[ 220.727730] [drm:i915_setparam] *ERROR* unknown parameter 4
[ 220.727772] [drm:i915_getparam] *ERROR* Unknown parameter 6
[ 221.627995] [drm:i915_getparam] *ERROR* Unknown parameter 6

Bryce Harrington (bryce) wrote :

Ulrik, those errors are actually completely innocuous and can be ignored.

Daniel Veillette (drv) wrote :

Confirming that .41 was a major regression performance-wise on my EEE 900. Sticking with .40 until fixed.

Hollman Enciso (hollman) wrote :

Ubuntu 9.04 beta on asus eeePC 900.
Fixed.

Thanks Andy

Steve Langasek (vorlon) wrote :

This fix missed the window for 9.04 final; deferring to -updates.

Andy, can you provide the requested pointer for information about the regression this caused?

Changed in linux (Ubuntu Jaunty):
milestone: ubuntu-9.04 → jaunty-updates
cybernesto (cybernesto) wrote :

My currently updated 9.04 remix shows the same problem. The .deb posted cannot be installed because the version installed is newer. Can anyone point out how to solve this issue starting from an updated version?

mms (markscala) wrote :

Andy's patched kernel solves lag problem on my eeepc701SD. Many thanks!

Ferry Toth (ftoth) wrote :

This workaround worked for with the -42 kernel:

login as user A
open another session as user B
close session A
close session B
login as B

netbook-launcher will still be slow in updating the screen, but the mouse pointer will operate normally

Ferry

Ferry Toth (ftoth) wrote :

Eh, and judging from xorg.xx.log this is probably because now dri is disabled.

Ferry

Matt Zimmerman (mdz) on 2009-04-21
summary: - [i915] allocate MCHBAR space & enable if necessary
+ Slow performance and tiling issues on i915
description: updated

Architecture: i386
Dependencies:

DistroRelease: Ubuntu 9.04
Package: linux None [modified: /var/lib/dpkg/info/linux.list]
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
Tags: ubuntu-unr ubuntu-unr
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Andy Whitcroft (apw) wrote :

@Steve -- this patch was applied and a kernel released, there were then reports of almost immediate hangs on an X61 thinkpad with Intel graphics (bug #364545), and there were also reports of general compiz hangs occuring on intel hardware (https://bugs.freedesktop.org/show_bug.cgi?id=20520). A kernel with just this patch was produced and was shown to fix the X61 issues and thought to fix the general issues as seen on the upstream bug.

In parallel discussions with the patch author indicated that the patch had not been accepted as is upstream and we should expect a revised patch for this issue. As yet we have not seen the updated patch.

Andy Whitcroft (apw) wrote :

After talking to the maintainer I have backported the replacement version of this fix and built kernels for testing. If those of you who are affected by this problem could test the new lp349315apw5 kernels and report back here. The kernels are at the URL below:

    http://people.ubuntu.com/~apw/lp349314-jaunty/

Downloading now and will test first thing in the morning... Thanks

On Wed, 2009-04-22 at 14:37 +0000, Andy Whitcroft wrote:

> After talking to the maintainer I have backported the replacement
> version of this fix and built kernels for testing. If those of you who
> are affected by this problem could test the new lp349315apw5 kernels and
> report back here. The kernels are at the URL below:
>
> http://people.ubuntu.com/~apw/lp349314-jaunty/
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

H. Axelsson (henrik-phoebus) wrote :

Have installed and tested on the April 20th UNR build on my Asus eee 900 and the problem is fixed. Any specific you would like me to test, related to the bug, Andy?

Robbie Williamson (robbiew) wrote :

Tested the latest kernel from http://people.ubuntu.com/~apw/lp349314-jaunty/ and can confirm that the problem is gone with this kernel.

Sorry for being dense, but I really would like to help test this. Which files would I install on my Asus Eee PC 900 running UNR (downloaded and installed on 4/21)? Do I just install the packages using the package installer and reboot, or do I need to select the correct kernel in GRUB's menu on boot? If I install this kernel, will it continue to be updated by the update manager in the future when new kernel updates are released? Does the fact that I'm asking all of these questions mean that I should just hold off and wait for an official update to be released? :)

Paul Larson (pwlars) wrote :

Working great on my Eee 900, and Xorg log reports tiling enabled.

Dustin Kirkland  (kirkland) wrote :

I installed and booted apw's kernel ... I see no regressions.

:-Dustin

I have also tested the latest kernel on ~apw, and can confirm that the patch works for me also. I am running the 9.04 UNR release candidate on my EEE PC 900. Many thanks for providing the patch, Andy!
I realize that it is (probably?) too late to include this in the release, but perhaps someone has a feeling for when the patch can be included in an official update?

Cesar Eduardo Barros (cesarb) wrote :

I just tested 2.6.28-11.43~lp349314apw5 on my EeePC 701, and it works as well as 2.6.28-11.40 does.

@Travis Walls: this package replaces your current 2.6.28-11 kernel, so you would just have to reboot. It will continue to be updated when kernel updates are released (meaning that, if you do not put the package on hold and 2.6.28-11.44 does not have this patch, it will regress again).

fewt (andrew-wyatt) wrote :

This seems to have helped on my Eee 1000HD.

Scott Evans (vk7hse) wrote :

I concur, the performance has been restored! thank you :)

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

mobile (carlleach) wrote :

Hi,

I need a little help with this one. Do in need to apply both of these packages and how do I put it on hold so that it does not regress with future updates?:

linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

Thanks

Scott Evans (vk7hse) wrote :

Just install using ... sudo dpkg -i or use Gdebi if you prefer a GUI.
Then once installed, launch synaptic and Under the listing across the
top left there you'll see one titled "Packages" then half way down that
listing you'll see "Lock" you just need to highlight the package you
wish to lock and that's it !!! :)

On Thu, 2009-04-23 at 08:06 +0000, mobile wrote:

> Hi,
>
> I need a little help with this one. Do in need to apply both of these
> packages and how do I put it on hold so that it does not regress with
> future updates?:
>
> linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb
>
> linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb
>
> Thanks
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

mobile (carlleach) wrote :

Thanks Scott,

Do I need to install both of these packages?:

linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

Scott Evans (vk7hse) wrote :

Sorry forgot to add that bit!... yes I installed the headers first then
the image, then you'll be back to a working display!

On Thu, 2009-04-23 at 09:30 +0000, mobile wrote:

> Thanks Scott,
>
> Do I need to install both of these packages?:
>
> linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb
>
> linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb
>

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Cesar Eduardo Barros (cesarb) wrote :

If you do put the package on hold/lock, *remember* to disable it after a fix for this bug is released, else you will miss all future security/reliability fixes for 2.6.28-11.

Thanks for your help, Cesar. I installed the packages last night and the netbook launcher works just as nicely as it did in Intrepid! Thanks to all who contributed to the fix! By the way, mobile and Scott, I also installed the linux-headers-2.6.28-11_2.6.28-11.43~lp349314apw5_all.deb package. It looks like it is just source files, but for curiosity's sake, how does it differ from linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb, and is there any problem with having all three packages installed on my system?

Janne Mäkinen (janne-makinen) wrote :

Tried the kernel, but it didn't seem to fix my Mac Mini.

uname -a
Linux macmini 2.6.28-11-generic #43~lp349314apw5 SMP Tue Apr 21 16:44:04 UTC 2009 x86_64 GNU/Linux

Still says:

(**) intel(0): Tiling enabled
(EE) intel(0): Failed to set tiling on front buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on back buffer: rejected by kernel
(EE) intel(0): Failed to set tiling on depth buffer: rejected by kernel

in my Xorg.0.log.

glxgears gives me:

get fences failed: -1
param: 6, val: 0

and because of this, XBMC runs very slowly now.

Am I missing a setting somewhere?

mobile (carlleach) wrote :

I was experiencing a very unresponsive Ubuntu Netbook Remix launcher on my Asus Eee PC 701. I installed the following kernel files and I can confirm that the performance is now good.

Files installed:

linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

Thanks Andy :)

qix (raymond-kuiper) wrote :

I experienced the same problem on my Asus EeePC 900.
Installing these files worked for me too.

Thanks!

Is it recommended to pin these packages or should the problem be solved in the next official ubuntu kernel release?

Tsvi Mostovicz (tsvi) wrote :

Same here: installing kernel packages did the job. locking packages until I hear otherwise. Will be following this thread,

Tsvi

mobile (carlleach) wrote :

I guess that this thread will get a lot busier now that Ubuntu 9.04 is at final release.

lanzen (lanzen) wrote :

Ok, metooafterjaunty #1. ;) Actually I was observing this phenomena since a while ago, but now I know I complained against the wrong bug. This _is_ the one and now I also know why It was working nicely on a eeepc 1000H (i945) and not on the 701!

Anyway, great: the 43 kernel fixed it.

BradB (bbeyenhof) wrote :

The 43 kernel worked for me as well. I almost went back to Ubuntu Eee 8.04 before I found this thread. Thanks, Andy!

I'm not a big fan of locking packages, though I suppose that's the easiest thing to do until I'm sure the repository kernel has the necessary patch applied.

Lesseps (fernando-famo) wrote :

Having previously given up a distro with Remix on my EeePC 900, due to this problem, now, Andy Whitcroft, Scott Evans and all others, thank you very much indeed! I have a machine nicely working, on April 24th BRT.

Small contribution, if

sudo dpkg -i *.deb

is used, both will be installed properly, and no worry about the order (if any ?)

MITFAGWTF (jason-krider) wrote :

Ok, I am a total noob to this stuff.... let me give my stupid version for any dummies coming later.

If you have a eeepc 1000HD, and you install Ubuntu, and then the mouse is all janky, then you need to be here on this page. The instructions are still assuming you're smart, which your not, cuz your reading this.

Begin by pointing your firefox browser to this site:

http://people.ubuntu.com/~apw/lp349314-jaunty/

then download all the .deb files to your desktop.

Then, open up the terminal. It's located in the accessories folder from the homescreen. (yes, the mouse is janky, but just chill.)

Open up terminal, and type "cd ~/Desktop" to go to desktop.

Then, type "sudo dpkg -i *.deb" and hit enter.

Then, reboot your computer.

Profit!

Thanks to @Lesseps for the brillz *comment.

Grimmy (grimmy-efg) wrote :

The kernel from http://people.ubuntu.com/~apw/lp349314-jaunty/ fixes the issue on my Eee 701 4G, however I was hoping to use the http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.29/ kernel as I get much better Wifi performance with the 2.6.29 kernel. I may have to revert back to 8.10 which works fine with UNR and 2.6.29 Kernel until this is fixed.

Cesar Eduardo Barros (cesarb) wrote :

@MITFAGWTF: no, you should only download and install *_2.6.28-11.43~lp349314apw5_*.deb from there. The *_2.6.28-11.38lp349314apw1_*.deb which are also there are an older version, which does not have any bugfixes from the last few Ubuntu kernel releases and uses an earlier version of the bugfix for this bug (the one which is supposed to have caused regressions on some systems).

If you tried to install both with "dpkg -i *.deb", you might have one or the other (both sets install the same packages, and thus each one replaces the other). Check which one you are currently using with "uname -a"; if it is already the latest one, you just downloaded and installed twice as much as you actually needed. If not, install the correct one and reboot.

Zsolt Takacs (zsolt-takacs) wrote :

I'm trying to build a patched version of the -vserver kernel package, which patches should i apply?

Bruno Girin (brunogirin) wrote :

Yet another confirmation that the lp349315apw5 kernel solves the problem on an EeePC 701. Thanks Andy!

Andy Whitcroft (apw) on 2009-04-28
Changed in linux (Ubuntu):
status: Triaged → In Progress

Yet another another confirmation that the lp349315apw5 kernel solves the problem on an EeePC 701. Thanks from me too!

Another confirmation from an EeePC 900 Celeron user.

Jose Almeida (josealmeida) wrote :

used Gdebi to install the following files:
linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb
linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

confirm that the slowness is gone in my Eee PC 701/ 4G
thanks for the work!

oferwald (ofer+ubuntu) wrote :

I confirm the problem of performance to be solved, but there's a flickering issue when its reinitializing the i2c bus at random times

oferwald (ofer+ubuntu) wrote :

Sorry - forgot to mention that I am on a ASUS 701 4G

Vendicator (vendicator) wrote :

The patch fixed my lag problem but broke something else (Mainly my fault I believe)

I will mess around more with it and post what I get here.

BradB (bbeyenhof) wrote :

I said earlier that this patched kernel fixed my problems with netbook-launcher (EeePC 900, 900MHz Celeron), and it did. However, now Flash video performance is horrible compared to the last OS I had on this machine (Ubuntu Eee 8.04.2). I used to be able to watch Hulu videos just fine, even full-screen, but now it's really choppy with Adobe's proprietary Flash 10.0.22.87 installed.

BradB, I had poor performance when playing Flash videos under 8.10 as well. I don't think it is related to this bug.

By the way, I never did get an answer. What is the purpose of linux-headers-2.6.28-11_2.6.28-11.43~lp349314apw5_all.deb?

Luis Silva (lacsilva) wrote :

@ Travis: linux-headers is a development package. It contains all the .h files from the kernel source so that you can compile drivers or other alike software with that kernel.
@ others: I also have a bad Flash video performance. Tried using UXA as suggested in [Bug 338669]. It makes everything go faster, including hard-locks ;) Seriously, you will have a very good graphical experience but not a stable one.

Vendicator (vendicator) wrote :

I forgot to mention that I am using a Eee PC 900.

What got screwed up was my gnome panel, and metacity (i assume metacity anyway - i get no control over my windows, they have no style, just square blocks.)

Like stated earlier, my lag problem is gone, but I cannot figure out why my gnome panel broke. (If I use the desktop-switcher) it fixes my problem though, I guess it re-initializes whatever did not start correctly)

mobile (carlleach) wrote :

Vendicator,

The problem you describe below sounds like this bug:
https://bugs.launchpad.net/bugs/349519

On Wed, Apr 29, 2009 at 8:44 PM, Vendicator <email address hidden> wrote:

> I forgot to mention that I am using a Eee PC 900.
>
> What got screwed up was my gnome panel, and metacity (i assume metacity
> anyway - i get no control over my windows, they have no style, just
> square blocks.)
>
> Like stated earlier, my lag problem is gone, but I cannot figure out why
> my gnome panel broke. (If I use the desktop-switcher) it fixes my
> problem though, I guess it re-initializes whatever did not start
> correctly)
>
> --
> Slow performance and tiling issues on i915
> https://bugs.launchpad.net/bugs/349314
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Confirmed
> Status in “linux” source package in Ubuntu: In Progress
> Status in linux in Ubuntu Jaunty: Triaged
>
> Bug description:
> This problem is particularly noticeable with the Ubuntu Netbook Remix
> launcher, on systems such as the eeePC 900.
>
> http://lists.freedesktop.org/archives/intel-gfx/2009-January/001187.html
>

The lp349315apw5 kernel fixed the slow mouse/video response I was having with UNR 9.04 i386 on my Eee 1000HD. Looking forward to the official release! Thanks for your help.

Vendicator (vendicator) wrote :

bug #349519 isnt exactly my problem, but it does sound similar, i will look into it a little more and see what i come up with. If these two things are related I will try to find out.

Lesseps (fernando-famo) wrote :

Solved the same problem: virtual machine (VMware), not a real one. Details of the machine below.

Thanks again.

Running a VMware virtual machine with Ubuntu Jaunty i386, much needed for compatibility reasons with 32bit software, as it is hosted by a real one running Ubuntu Jaunty amd64, I transformed it the into Remix (followed the directions on https://wiki.ubuntu.com/UNR and ppa's from https://launchpad.net/~netbook-remix-team/+archive/ppa), particularly suitable, due to the small screen it for the VMW machine. I did not find a way to install the Remix .img directly, and had to use the CD burned with the .iso regular Jaunty.

Per von Zweigbergk (pvz) wrote :

Installed linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb on my Asus EEE PC 900, it solved the slowness issues in unr-launcher that I was experiencing before.

qix (raymond-kuiper) wrote :

@BradB and others:
The kernel files did fix the UNR performance, however, I also have lousy flash performance.
Wathing Youtube video's in normal size works fine, fullscreen is a no-go.
Let alone HD video's ;-)

Asus EeePC 900

Jose Almeida (josealmeida) wrote :

I also have slow flash performance. the flash package I installed was the one in http://get.adobe.com/flashplayer/ - the .deb for ubuntu 8.10+
not sure it's related. the machine is a Eee PC 701/ 4G

BradB (bbeyenhof) wrote :

@qix:
Hulu is choppy even in a browser window (i.e. not fullscreen) and at standard definition, so unfortunately that's not it. YouTube videos are all pretty good, though. Maybe this should be its own bug?
@Jose:
That's the version I'm using as well.

Simon Wolf (simon-wolf1) wrote :

After installing

linux-headers-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb
linux-image-2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386.deb

with 'sudo gdebi' on my Asus EEE PC 701 (4G) the performance problems of the URN-launcher were solved and everthing is okay now. Thank you guys!

Mr_X (warren-reeves-94) wrote :

Ok, this may seem a stupid comment, however
in grub make sure you load generic and not server.
Thanks.

Scott Evans (vk7hse) wrote :

At what point was the server kernel ever mentioned for the UNR ? this is
related to the generic kernel.

On Sun, 2009-05-03 at 08:41 +0000, Mr_X wrote:
> Ok, this may seem a stupid comment, however
> in grub make sure you load generic and not server.
> Thanks.
>

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

I've been running the 2.6.28-11.43~lp349314apw5 kernel for about a week and it's worked perfectly.

This is on an Eee PC 702 (8G). The specific problem I was seeing was slow/halting performance on the netbook launcher (with CPU usage staying at moderate levels). Another symptom was the tiling error (rejected by kernel) in the Xorg log. I also tried disabling tiling, which fixed the obvious problem in the launcher but gave unsatisfactory performance overall.

As a side note, I've also seen poor Flash performance, but I assume this is NOT related. Flash performance has been terrible for a long time, and on all my machines. I think it's a problem with the player. One thing to check would be the CPU usage: I expect with Flash it will max out. With this tiling problem it seems to stay low.

Is there a connection between this bug report and this one: https://bugs.launchpad.net/ubuntu/+bug/372239?

lanzen (lanzen) wrote :

I'd say it is. I had that problem on an eeepc 701 and the 43 kernel fixed it.

Mikko Korkalo (keitsi) wrote :

I have a Toshiba NB100-12N and netbook remix 9.04.

I was often experiencing a very sluggish launcher/screen refresh, and after kernel updates from http://people.ubuntu.com/~apw/lp349314-jaunty/ I haven't experienced those problems anymore.

lspci after patch:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

Xorg.log after atch:
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): 0x00800000-0x00bfffff: depth buffer (4096 kB) X tiled
(II) intel(0): 0x00c00000-0x00ffffff: back buffer (4096 kB) X tiled
(II) intel(0): 0x01000000-0x013fffff: front buffer (4096 kB) X tiled
(II) intel(0): 0x00800000-0x00bfffff: depth buffer (4096 kB) X tiled
(II) intel(0): 0x00c00000-0x00ffffff: back buffer (4096 kB) X tiled
(II) intel(0): 0x01000000-0x013fffff: front buffer (4096 kB) X tiled

Ubuntu NBR now works great on my toshiba NB100-12N!

Andy Whitcroft (apw) on 2009-05-07
description: updated
Andy Whitcroft (apw) wrote :

Fixes for this issue have been committed to the Jaunty tree. They have also been pushed upstream.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Changed in linux (Ubuntu Jaunty):
status: Triaged → Fix Committed
mobile (carlleach) wrote :

Does this mean that it's available from Update Manager?

I've got the packages locked but I want to unlock them as soon as possible.

2009/5/7 Andy Whitcroft <email address hidden>

> Fixes for this issue have been committed to the Jaunty tree. They have
> also been pushed upstream.
>
> ** Changed in: linux (Ubuntu)
> Status: In Progress => Fix Committed
>
> ** Changed in: linux (Ubuntu)
> Status: Fix Committed => In Progress
>
> ** Changed in: linux (Ubuntu Jaunty)
> Status: Triaged => Fix Committed
>
> --
>

Martin Pitt (pitti) wrote :

(Removing jaunty-updates milestone from karmic task)

To be honest this gives me some gripes. Unstable as it already is, I wouldn't like to see even more new code be thrown at the intel driver. How can we make sure that enabling tiling doesn't break things for some users?

Changed in linux (Ubuntu):
milestone: jaunty-updates → none
Tallyho (paalh) wrote :

The new kernels worked on my Eee 900 Celeron but the old kernel is still installed and is selected by default in grub. How do I fix this?

Scott Evans (vk7hse) wrote :

Hi,

The easiest way would be for you to open synaptic and search for a
package called startup manager. Once installed (its a GUI) then under
system/administration there you will find said program, you can select
your default kernel from the drop down menu. :)

-----Original Message-----
From: Tallyho <email address hidden>
Reply-to: Bug 349314 <email address hidden>
To: <email address hidden>
Subject: [Bug 349314] Re: Slow performance and tiling issues on i915
Date: Fri, 08 May 2009 17:25:36 -0000

The new kernels worked on my Eee 900 Celeron but the old kernel is still
installed and is selected by default in grub. How do I fix this?

Scott Evans VK7HSE
Phone: +61362291658
Mobile: +61417586157
Skype: vk7hse
<email address hidden>
http://www.vk7hse.hobby-site.org
PGP/GPG Key ID 74639624

--
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the system manager. This message contains confidential information and is intended only for the
individual named. If you are not the named addressee you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately
by e-mail if you have received this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified
that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.

Andy Whitcroft (apw) wrote :

@pitti -- yes it does appear to be a large chunk of code. However in the main for this chipset the affected hardware should already have been enabled by the BIOS. It is not normal for this driver to run with that part of the support disabled on the hardware which supports it. The code presented here to enable it should only trigger when the BIOS has not already enabled it. For the normal system it should be a noop. Enabling this hardware correctly should bring the affected systems closer to a normal configuration and in that sense to a more tested position.

It also should be noted that the performance regression introduced by the lack of this support is very severe (this component was enabled in previous releases). It is particularly severe on smaller systems such as those in the netbook market which are effectively rendered useless for video playback as well as being extremely sluggish in general use.

Chris N (slothdog) wrote :

Any idea when this patch will make it into the main update stream? I tried installing the 2.6.29.3 kernel based on the "official" fix posted here http://ubuntuforums.org/showthread.php?t=1130582 but it still has lousy video performance on my Eee 900 compared to the kernel posted here.

Grimmy (grimmy-efg) wrote :

Did you try parts A and B too?

2009/5/15 Chris N <email address hidden>

> Any idea when this patch will make it into the main update stream? I
> tried installing the 2.6.29.3 kernel based on the "official" fix posted
> here http://ubuntuforums.org/showthread.php?t=1130582 but it still has
> lousy video performance on my Eee 900 compared to the kernel posted
> here.
>
> --
> Slow performance and tiling issues on i915
> https://bugs.launchpad.net/bugs/349314
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Confirmed
> Status in “linux” source package in Ubuntu: In Progress
> Status in linux in Ubuntu Jaunty: Fix Committed
>
> Bug description:
> This problem is particularly noticeable with the Ubuntu Netbook Remix
> launcher, on systems such as the eeePC 900.
>
> http://lists.freedesktop.org/archives/intel-gfx/2009-January/001187.html
>
> ===
>
> SRU Justification Jaunty
>
> Impact: Video performance of affected systems is very poor, watching video
> is not possible
>
> Fix Description: detect and enable previously disabled tiling support IFF
> not already enabled by the BIOS
>
> Patch:
>
> http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commit;h=de385c9db845645e6cc40a5355b6779e044d6afb
>
> http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commit;h=3533af638b8e149568fd3d6cdbbb4a384674f170
>
> Risks: MCHBAR is disabled for good reason on some unknown platform, given
> this is a chipset level feature this is very unlikely
>
> TEST CASE: see bug
>

Chris N (slothdog) wrote :

Yes, I did a fresh install of 9.04, installed everything in the update manager, then made the xorg.conf changes, installed fixmtrr.sh, the X updates, and the 2.6.29.3 kernel. Performance was worse than a clean install with just the lp349314 kernel posted in this thread and no other changes. (5fps vs 14fps in ppracer, and choppy/unplayable World of Goo demo vs smooth and playable.) The "Bleeding-edge" X updates and 2.6.30-rc5 kernel weren't any better either.

Zsolt Takacs (zsolt-takacs) wrote :

i can confirm this, i'm trying to build a -vserver kernel with this patch, and it has bad performance too. i've tried it several times, different methods, but it was the same every time.

fiver (niggemyer) wrote :

Same experience for me as Chris N and Zsolt.

Ferry Toth (ftoth) wrote :

Upgrading from 2.6.28-11.43~lp34931 to 2.6.28-12-43 the problem reappears :-(

In which upstream version will the bug be definitively squashed?

Ferry

Leo Milano (lmilano) wrote :

Me too, the latest updates do not fix this on my eeepc-701. I also tried adding the "proposed" updates repository and no charm. I am not sure "fix commited" is a good description for the status. A patch has been commited but unfortunately it is not a fix.

Andy Whitcroft (apw) wrote :

@Leo -- Fix Committed means that the fix is in our kernel repository. I believe that the fix should be in the 2.6.28-11.40 kernel and later which should have hit -updates by now.

From a Karmic point of view this patch hit mainline in the 2.6.31 merge window, and so should be in the next rebase kernel when v2.6.31-rc1 releases.

Alex Bruce (alexbruce7) wrote :

yip i can confirm the latest 9.04 kernel (2.6.28-13) doesn't have this fix in.. why?? it says fix committed. when is the fix going to make it to mainline?

i know the eeepc 701 is an old machine now and wasn't really powerful enough but a lot of people have them so some ubuntu support sauce would be cool

ive given up on netbook-remix mode and gone to normal mode.. Ive tried the fixed kernel posted above and it fixes it nicely but switched to normal mode anyway.. switched back with this latest kernel update to see if the problems have been fixed but nope still the same

I second Alex Bruce's comment. I would like to know why 2.6.28-13 lacks this fix, and how long I'm going to be stuck with 2.6.28-11.43~lp349314apw5.

mig5 (mig5) wrote :

A third nod for Alex's comment.. also note that 2.6.28-13 causes this regression from Andy's patched 2.6.28-11.43 kernel not just for 701SD but the 900 SD as well.

I've just subscribed to this forum. For me, using ASUS EeePC 701 Surf 4G, the solution (also working on Arch and other distros) was VERY simple. Just add the

Option "Tiling" "False"

to xorg.conf as shown below (the text between >> and << is xorg.conf), then everything works perfect, no kernel change needed.

>>

# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration
# tool, using values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package
# upgrades *only* if it has not been modified since the last upgrade
# of the xserver-xorg package.
#
# Note that some configuration settings that could be done
# previously in this file, now are automatically configured by the
# server and settings here are ignored.
#
# If you have edited this file but would like it to be automatically
# updated again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section "Device"
 Identifier "Configured Video Device"
 Option "Tiling" "False"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

<<

Good Luck!!!

Cesar Eduardo Barros (cesarb) wrote :
Ferry Toth (ftoth) wrote :

Hi all,

I gave up waiting for this fix in the ubuntu kernel. Instead I returned to the kernels on array.org from Adam McDaniel. He has been kind enough to distill a jaunty kernel for us after the Ubuntu Jaunty kernel appeared to work so slow with netbook-launcher.

Just follow the instructions on http://www.array.org/ubuntu/setup-jaunty.html

Cheers,

Ferry

OnEmAnArMy (onemanarmy) wrote :

adding Option "Tiling" "False" to my xorg.conf did not solve the issu on my eeepc 900..
i had to revert back to unofficial kernel.

mobile (carlleach) wrote :

The array kernel made my EeePC 701 run slower than the
2.6.28-11-generic_2.6.28-11.43~lp349314apw5_i386 fix posted above.

2009/6/21 Ferry Toth

> Hi all,
>
> I gave up waiting for this fix in the ubuntu kernel. Instead I returned
> to the kernels on array.org from Adam McDaniel. He has been kind enough
> to distill a jaunty kernel for us after the Ubuntu Jaunty kernel
> appeared to work so slow with netbook-launcher.
>
> Just follow the instructions on http://www.array.org/ubuntu/setup-
> jaunty.html
>
> Cheers,
>
> Ferry
>
> --
>

Pether (pether-i) wrote :

Adding Option "Tiling" "False" to my xorg.conf and reboot, did solve the issu on my EeePC 701/4G when using Ubuntu kernel Linux eee701 2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:57:31 UTC 2009 i686 GNU/Linux

babeuf (babeuf) wrote :

Hi, i installed the headers and image packages given in this topic and it solve perfectly the problem on my 701- 4G

Unfortunately, i just installed the last released versions of those packages, ( i thought the issue was fixed ) and now the problem is back again. How can I rollback to the versions given here please ?

vrull (vrull) wrote :

I got that sluggish screen after updating the kernel to
Linux asus-eee-pc 2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:57:31 UTC 2009 i686 GNU/Linux

Adding Option "Tiling" "False" to xorg.conf (as suggested by Vlad Tudorache) perfectly solved the problem. Thanks.

The computer is Asus EEE PC 701.

geisterbaer07 (stargate-4) wrote :

Addion -Option "Tiling" "False"- to xorg.conf also worked for me on 701 -4G
Thanks to Vlad Tudorache for solution.

mobile (carlleach) wrote :

Adding Option "Tiling" "False" to xorg.conf works for me too on Asus EeePC 701 with 2.6.28-13.44 kernel.

Knef (knef) wrote :

Setting "Tiling" to "False" in xorg.conf didn't work for me (I have an EeePC 900).

There has been yet another kernel update (second update to kernel 2.6.28-13-generic) but this patch still isn't included. Now I'm a bit confused whether there was a regression with the patch -- didn't someone decide the regression was not due to this patch?

The NBR performance is much better when using the patched 2.6.28-11 kernel on this eeepc 900. HOWEVER, now the unofficial patched 2.6.28-11-generic kernel linked in this bug report is missing out on several Ubuntu kernel updates.

Does the patch apply cleanly to the 2.6.28-13 kernel?

Gabriel C (jgcastell) wrote :

I can confirm too that using Setting "Tiling" to "False" in xorg.conf didn't work in my EeePC 900

Martin Pitt (pitti) wrote :

Accepted linux into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

2009/7/8 Martin Pitt <email address hidden>:
> Accepted linux into jaunty-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See

Hi there. Forgive me if I am asking an obvious question. Could you
tell me which is the name of the package which is going to fix the
issue? I've just taken a look into jaunty-proposed and i've just found
a package which I think could be relevant to this issue (Xorg sever
for intel chipsets). I've installed it and it still does not work, so
I'm back with the "unofficial" 2.6.28-11 patched kernel...

Could be posible that the updated kernel is not yet in the proposed repository?

Thanks in advance.

Martin Pitt (pitti) wrote :

Jordi Guillaumes [2009-07-08 11:09 -0000]:
> Hi there. Forgive me if I am asking an obvious question. Could you
> tell me which is the name of the package which is going to fix the
> issue?

The kernel took a while to build and needed archive admin processing
(NEW). I did that now. linux-image-2.6.28-14-generic should be
available for testing in about two hours on archive.ubuntu.com.

2 hours have passed... and in fact 2 days have passed but still no kernel available. I have tried enabling the proposed repo and also searching packages.ubuntu.com and no luck.

Any update? a link to the package on packages.ubuntu.com would be very appreciated once it comes available.

I have installed the 2.6.28-14-generic kernel, and so far it is working very well on my ASUS Eee PC 900. SO if anyone is needing confirmation that the kernel works and it fixes the graphics slowdowns in the NBR launcher, YES! It works!

I did have some difficulties installing the package (as Andrew Manson expressed above) but I finally was able to get the package installed. My apologies to everyone who already knows this but it had me stumped for days. SO I'm writing this out hoping it helps someone else.

1) Activate the jaunty-proposed archive as described in https://wiki.ubuntu.com/Testing/EnableProposed -- basically add the following line to the end of /etc/apt/sources.list --

deb http://archive.ubuntu.com/ubuntu/ jaunty-proposed restricted main multiverse universe

2) Update your local package cache using your favorite method (such as "sudo aptitude update").

Note: No matter what I did I did NEVER saw the new kernel proposed as an update to the existing kernel, whether using Synaptic, Aptitude or the "apt-cache policy" command. The only way I could even SEE that the new kernel was available was by searching for it. For example, the terminal command "aptitude search linux-image-generic" showed it was available.

3) Install the kernel explicitly. The easiest method is to use this terminal command:

    sudo apt-get install linux-image-2.6.28-14-generic

4) After installing the kernel, you can undo step 1 -- disable the jaunty-proposed archive by commenting out the line you added in /etc/apt/sources.list --

# deb http://archive.ubuntu.com/ubuntu/ jaunty-proposed restricted main multiverse universe

4) When you reboot, press the Esc key to display the grub boot menu and make sure the new 2.6.28-14 kernel will be the version that gets booted.

Note: Since I have been using experimental kernels I use the "default saved" option in grub so it automatically boots from the last kernel selected. For some reason, after I installed the -14 kernel, it defaulted to the -13 kernel rather than using the -14 version I just installed or the -11 kernel I booted before.

I hope that helps someone who was having as much trouble as I was.

Scott Brown (scotty-b-brown) wrote :

Thanks Tommy - worked a treat!

Tim Clevenger (tjclevenger) wrote :

Same problem on an Asus eeePC 701 4GB. Installed the -14 kernel per Tommy's instructions and it works great. Thanks guys!

Martin Pitt (pitti) on 2009-07-15
tags: added: verification-done
removed: verification-needed
mobile (carlleach) wrote :

Confirmed linux-image-2.6.28-14-generic fixed problem on Asus Eee PC 701SD. Thanks.

Same thing here. 14-generic fixed the problem on an eeePC 900. Good job!

DrewTardif (uplink59) wrote :

I use the eee900 like many and have the same problem, sorry for being stupid, but how EXACTLY do I download and install the patch? I click on the patch and It just brings me to another page.

Conan Barnes (barneco2000) wrote :

Another confirmation that 14-generic resolves the issue on my eee 900.

@DrewTardif: No need to download and install a patch. The fix is in the 14 kernel that's available from the proposed archive. Simply enable the proposed archive in your software sources, then utilize the familiar apt-get instruction to retrieve and install 14 and you should be good to go. For a step-by-step script of how to do this, look about 6 posts up and Tommy Trussell has outlined it perfectly.

Anton¡o Sch¡fano (skiantoz) wrote :

The 14-generic kernel seems to work also on mi eeepc 1000 hd, i.e. tiling is enabled and performance is better.
One strange thing I am investigating: supertux2 is too slow unless run by root. Any ideas?

Zack Evans (zevans23) wrote :

Re the supertux2 problem: Could be related to permissions on /dev/dri/video0, which sometimes has permissions for root and the "video" group only. Have a look at permissions and also try putting your user into the "video" group.

I'm not sure if there's an underlying bug in udev that causes this - seems to me like this ought to be writeable by any user sitting at the console by default...

Martin Pitt (pitti) wrote :

Zack Evans [2009-07-20 16:28 -0000]:
> I'm not sure if there's an underlying bug in udev that causes this -
> seems to me like this ought to be writeable by any user sitting at the
> console by default...

It is. In karmic that's done by udev, but in previous releases it was
done by hal's automatic ACL magic.

Andy Whitcroft (apw) wrote :

This fix hit mainline in v2.6.31-rc1 and therefore hit Karmic in 2.6.31-1 kernel. I am therefore closing the linux task Fix Released.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Anton¡o Sch¡fano (skiantoz) wrote :

Regarding the supertux2 problem, I think the permissions are ok (see below), as my user is in the group video and the system sets the ACL correctly. Note that the device is /dev/dri/card0 though (not video0).

uid=1000(antadm) gid=1000(antadm) groups=4(adm),20(dialout),24(cdrom),29(audio),30(dip),44(video),46(plugdev),104(fuse),106(lpadmin),112(netdev),115(pulse-access),116(pulse-rt),121(admin),122(sambashare),1000(antadm),1001(eeeuser)

antadm@kicker:~$ getfacl /dev/dri/card0
getfacl: Removing leading '/' from absolute path names
# file: dev/dri/card0
# owner: root
# group: video
user::rw-
user:antadm:rw-
group::rw-
mask::rw-
other::---

Steve Beattie (sbeattie) wrote :

Antonio: do you see the supertux2 issue with only the -14 kernel, or does it occur with the -13 kernel as well? WewWould like to get some indication whether this is an issue strictly introduced by the kernel in -proposed. Thanks for testing!

Steve Beattie (sbeattie) wrote :

Antonio: do you see the supertux2 issue with only the -14 kernel, or does it occur with the -13 kernel as well? We would like to get some indication whether this is an issue strictly introduced by the kernel in -proposed. Thanks for testing!

Anton¡o Sch¡fano (skiantoz) wrote :

Steve Beattie wrote:
> Antonio: do you see the supertux2 issue with only the -14 kernel, or
> does it occur with the -13 kernel as well? We would like to get some
> indication whether this is an issue strictly introduced by the kernel in
> -proposed. Thanks for testing!
>
>
With the -13 kernel, the performance is poor for every user, root included.
Kernel -11 lp349314apw5 behaves like the -14: slow performance, except
if run as root.

uncajesse (uncajesse) wrote :

I have a 900 and whatever change with the packages (i use release and proposed) that just happened today ended up making this bug come back, especially with the Netbook Remix launcher.

Bruno Girin (brunogirin) wrote :

@uncajesse: can you open a terminal and post the output of the command "uname -r" please? If you are using the correct kernel, the output should be "2.6.28-14-generic". If not, we'll have to find out why you're not using that version.

Chris N (slothdog) wrote :

Just downloaded and installed the latest kernel update, and am still seeing the slowdowns. Tested on an Eee PC 900 using the World of Goo demo.

uname-r shows:
2.6.28-14-generic

Bruno Girin (brunogirin) wrote :

OK, I can see what happened now. I had the 2.6.28-14 kernel from the jaunty-proposed repository and it worked fine (including World of Goo). Then I fired up Update Manager. As part of the update was a *-14 kernel from the jaunty-updates repository. That *-14 kernel is not the same as the *-14 kernel in jaunty-proposed and does not include the patch, thus reverting to the original problem.

Can we do a *-15 kernel with that patch in and make sure it gets to jaunty-updates one way or another and doesn't get clobbered again please?

So, to reproduce the issue that uncajesse and Chris N see:
1. make sure you have the -14 kernel from jaunty-proposed installed
2. remove jaunty-proposed from the sources
3. fire up Update Manager
4. update, including kernel -14

Expected result: no change, all works well

Actual result: the -14 kernel in jaunty-updates does NOT include the patch that was in the -14 kernel in jaunty-proposed and the bug re-appears.

uncajesse (uncajesse) wrote :

2.6.28-14-generic
here too. And yes, I forced the version from jaunty-proposed and it doesn't have the bug.

Scott Brown (scotty-b-brown) wrote :

I can confirm that the mainstream 2.6.28-14 kernel still has the bug in Ubuntu NBR on my 701.

How do i force a reinstall of the packages from jaunty-proposed???

Martin Pitt (pitti) wrote :

Indeed there has been a security update in between which became -14.
-15 was just accepted into jaunty-proposed which re-includes this fix.
It will build now and be available in a few hours.

Bruno Girin (brunogirin) wrote :

I can confirm that the -15 kernel in jaunty-proposed resolves the problem on my EeePC 701. I also did the "World of Goo" test: it works great :-) To install it, follow the instructions given by Tommy here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/349314/comments/140 and replace the last command with:

sudo apt-get install linux-image-2.6.28-15-generic

Martin, is there a chance that this fix will make it into jaunty-updates soon-ish and before it gets clobbered by another important update?

Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package linux - 2.6.28-15.48

---------------
linux (2.6.28-15.48) jaunty-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: pnp: add PNP resource range checking function
    - LP: #349314
  * SAUCE: i915: enable MCHBAR if needed
    - LP: #349314

  [ Brad Figg ]

  * SAUCE: Add information to recognize Toshiba Satellite Pro M10 Alps
    Touchpad
    - LP: #330885

  [ Colin Ian King ]

  * Input: atkbd - add forced release keys quirk for Samsung Q45
    - LP: #347623

  [ Manoj Iyer ]

  * SAUCE: Added quirk to enable the installer to recognize NetXen NIC.
    - LP: #389603

  [ Stefan Bader ]

  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Tim Gardner ]

  * Revert "SAUCE: md: wait for possible pending deletes after stopping an
    array"
    - LP: #334994

  [ Upstream Kernel Changes ]

  * bonding: Fix updating of speed/duplex changes
    - LP: #371651
  * net: fix sctp breakage
    - LP: #371651
  * ipv6: don't use tw net when accounting for recycled tw
    - LP: #371651
  * ipv6: Plug sk_buff leak in ipv6_rcv (net/ipv6/ip6_input.c)
    - LP: #371651
  * netfilter: nf_conntrack_tcp: fix unaligned memory access in tcp_sack
    - LP: #371651
  * xfrm: spin_lock() should be spin_unlock() in xfrm_state.c
    - LP: #371651
  * bridge: bad error handling when adding invalid ether address
    - LP: #371651
  * bas_gigaset: correctly allocate USB interrupt transfer buffer
    - LP: #371651
  * USB: EHCI: add software retry for transaction errors
    - LP: #371651
  * USB: fix USB_STORAGE_CYPRESS_ATACB
    - LP: #371651
  * USB: usb-storage: increase max_sectors for tape drives
    - LP: #371651
  * USB: gadget: fix rndis regression
    - LP: #371651
  * USB: add quirk to avoid config and interface strings
    - LP: #371651
  * cifs: fix buffer format byte on NT Rename/hardlink
    - LP: #371651
  * b43: fix b43_plcp_get_bitrate_idx_ofdm return type
    - LP: #371651
  * Add a missing unlock_kernel() in raw_open()
    - LP: #371651
  * x86, PAT, PCI: Change vma prot in pci_mmap to reflect inherited prot
    - LP: #371651
  * security/smack: fix oops when setting a size 0 SMACK64 xattr
    - LP: #371651
  * x86, setup: mark %esi as clobbered in E820 BIOS call
    - LP: #371651
  * dock: fix dereference after kfree()
    - LP: #371651
  * mm: define a UNIQUE value for AS_UNEVICTABLE flag
    - LP: #371651
  * mm: do_xip_mapping_read: fix length calculation
    - LP: #371651
  * vfs: skip I_CLEAR state inodes
    - LP: #371651
  * net/netrom: Fix socket locking
    - LP: #371651
  * kprobes: Fix locking imbalance in kretprobes
    - LP: #371651
  * netfilter: {ip, ip6, arp}_tables: fix incorrect loop detection
    - LP: #371651
  * ALSA: hda - add missing comma in ad1884_slave_vols
    - LP: #371651
  * SCSI: libiscsi: fix iscsi pool error path
    - LP: #371651
  * SCSI: libiscsi: fix iscsi pool error path again
    - LP: #371651
  * posixtimers, sched: Fix posix clock monotonicity
    - LP: #371651
  * sched: do not count frozen tasks toward load
    - LP: #371651
  * spi: spi_write_then_read() bugfixes
    - LP: #371651
  * powerpc: Fix data-corrupting bug in __futex_atomic_op
    - LP...

Read more...

Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Bruno Girin (brunogirin) wrote :

I just updated my EeePC 701 with the -15 kernel that is now available in jaunty-updates and I can confirm the bug fixed with that version of the kernel too.

Purdy (jason-purdy) wrote :

New UNR user here & I have the same problem (screen refreshes, online flash video staggers and netbook-launcher menu changes are painfully slow [w/ high cpu rates]) after a new install. I'm using a Dell Inspiron Mini 12. My graphics card has something different, so maybe that's the cause.

$ lspci
...
00:02.0 VGA compatible controller: Intel Corporation System Controller Hub (SCH Poulsbo) Graphics Controller (rev 07)
...

$ uname -a
Linux mini-jason 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

I installed the 2.6.28-11.43~lp349314apw5 kernel and that didn't change. I tried the force low graphics setting in gconf-editor and that didn't work. I also tried the "Options" "Tiling" "False" in xorg.conf and that also didn't work.

Let me know if I can provide any more information...

Thanks!

Purdy (jason-purdy) wrote :

I tried re-compiling the kernel (quite a slow process here on the netbook ;)) and these two warnings seemed relevant:

  Building modules, stage 2.
  MODPOST 2292 modules
WARNING: drivers/video/vesafb.o(.exit.text+0x57): Section mismatch in reference from the function vesafb_remove() to the (unknown reference) .init.data:(unknown)
The function __exit vesafb_remove() references
a (unknown reference) __initdata (unknown).
This is often seen when error handling in the exit function
uses functionality in the init path.
The fix is often to remove the __initdata annotation of
(unknown) so it may be used outside an init section.

WARNING: drivers/video/vesafb.o(.exit.text+0x62): Section mismatch in reference from the function vesafb_remove() to the variable .init.data:vesafb_fix
The function __exit vesafb_remove() references
a variable __initdata vesafb_fix.
This is often seen when error handling in the exit function
uses functionality in the init path.
The fix is often to remove the __initdata annotation of
vesafb_fix so it may be used outside an init section.

Perhaps my issue should be refiled as a different bug since the hardware is not the i915?

Bartek (tschew) wrote :

Hi Purdy,

I don't have a poulsbo machine but a quick search brought this up: https://wiki.ubuntu.com/HardwareSupportComponentsVideoCardsPoulsbo

Maybe that will resolve your issues? Not sure whether X will automatically load the relevant driver though after you've installed the packages...

-Bartek

Purdy (jason-purdy) wrote :

Hi Bartek,

Thanks for the pointer! That did the trick. I had to add the ppa source in /etc/apt/sources.list.d and then install the psb drivers and now my video is spotless and the performance is great.

Now on to the sound. ;)

affects: linux (Ubuntu Jaunty) → linux-meta (Ubuntu Jaunty)
Martin Pitt (pitti) on 2009-09-06
affects: linux-meta (Ubuntu) → linux (Ubuntu)
cbartle (cliff-bartle) wrote :

hi andy, i have just installed ubuntu on my eeepc and video is very poor would this fix be in the latest ubuntu download

Bruno Girin (brunogirin) wrote :

@cbartle: it should resolve the problem indeed. Go to Update Manager, make sure you install all the latest updates, reboot when asked and it should work fine. If it doesn't, can you add a further comment to this thread with the exact model of EeePC you have please?

Tman (t-mac1-y-ming11) on 2009-11-10
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) wrote :

Please do not change bug status without explanation.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
tags: added: iso-testing
Russell Bate (russwbate) on 2010-04-06
Changed in linux (Ubuntu):
status: Fix Released → Fix Committed
Martin Pitt (pitti) on 2010-04-06
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux:
status: Confirmed → Fix Released
Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.